# $Revision: 1.18 $, $Date: 2006/03/27 12:41:36 $
# todo: split *.so to subpackages: mysql/dbi/ssl
%define		mod_name	log_sql
%define		apxs		/usr/sbin/apxs
Summary:	SQL logging module for Apache
Summary(pl):	Modu logowania zapyta do Apache do bazy SQL
Name:		apache-mod_%{mod_name}
# NOTE: remember about apache1-mod_log_sql when updating!
Version:	1.100
Release:	5
License:	Apache (?)
Group:		Networking/Daemons
Source0:	http://www.outoforder.cc/downloads/mod_log_sql/mod_%{mod_name}-%{version}.tar.bz2
# Source0-md5:	b54657ad270cffc34dfab12302c53306
Patch0:		mod_%{mod_name}-acam_libexecdir.patch
Patch1:		mod_%{mod_name}-subdirs.patch
URL:		http://www.outoforder.cc/projects/apache/mod_log_sql/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.40
BuildRequires:	apr-devel >= 1:1.0.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libdbi-devel >= 0.7.0
BuildRequires:	libtool
BuildRequires:	mysql-devel >= 3.23.30
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
mod_log_sql is a logging module for Apache 1.3 and 2.0 which logs all
requests to a database.

%description -l pl
mod_log_sql jest moduem logujcym dla Apache 1.3 i 2.0, ktry pozwala
na logowanie wszystkich zapyta do bazy danych.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p0
%patch1 -p1

rm -f docs/{Makefile*,*.xml} contrib/Makefile*
sed -i -e "s:apr-config:apr-1-config:g" aclocal.m4
sed -i -e "s:apu-config:apu-1-config:g" aclocal.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--with-apxs=%{apxs}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/httpd.conf,%{_pkglibdir}}

install .libs/*.so $RPM_BUILD_ROOT%{_pkglibdir}
#install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG TODO contrib docs LICENSE
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_log_sql.spec,v $
Revision 1.18  2006/03/27 12:41:36  glen
- rel 5 (libmysqlclient_15)

Revision 1.17  2006/01/30 17:39:10  glen
- use %service

Revision 1.16  2005/12/27 01:33:00  glen
- unified files

Revision 1.15  2005/12/27 00:08:21  glen
- unified

Revision 1.14  2005/12/22 00:17:00  glen
- missing installdir; rel 4

Revision 1.13  2005/12/21 23:45:05  glen
- rel 3 (rebuild with new apache)
- fix post scripts add config file to load module (apxs way sucks)

Revision 1.12  2005/10/27 17:34:19  arekm
- rel 2

Revision 1.11  2005/04/15 15:30:28  hunter
- upgrade to 1.100
- release 1
- R: apache >= 2.0.40

Revision 1.10  2005/02/19 14:09:33  ankry
- rel. 4

Revision 1.9  2005/02/10 01:50:54  glen
- make %install re-entrant

Revision 1.8  2004/10/12 22:53:28  havner
- BR: apr-devel >= 1:1.0.0

Revision 1.7  2004/10/10 12:30:11  havner
- fixed build against new apr
- rel 3

Revision 1.6  2004/09/05 17:18:13  radek
- use "%(%{apxs} -q SYSCONFDIR)" for _sysconfdir definition

Revision 1.5  2004/08/30 19:44:18  qboosh
- BR: ac,am,lt

Revision 1.4  2004/08/30 17:06:45  radek
- apply the damn patch...

Revision 1.3  2004/08/30 17:01:36  radek
- added -acam_libexecdir.patch (should be libdir, mistake)

Revision 1.2  2004/08/30 16:47:51  radek
- regenerated autocrap

Revision 1.1  2004/08/30 16:43:51  radek
- previously called mod_log_mysql; version 1.99; TODO: config file

Revision 1.23  2003/09/10 10:52:33  ankry
- rel. 4

Revision 1.22  2003/08/06 16:11:46  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.21  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2002/12/29 01:44:28  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.18  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.17  2002/05/26 15:28:54  kloczek
- use new %doc.

Revision 1.16  2002/04/25 15:46:09  arturs
- fixed a small typo

Revision 1.15  2002/03/26 23:47:23  misiek
- fixed huge bug (zeroing httpd.conf after deinstalation)

Revision 1.14  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/17 21:07:39  ankry
- release 2

Revision 1.11  2002/02/17 18:52:20  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.10  2002/01/18 02:12:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/16 21:44:29  mkierus
- updated to 1.13 (many bugfixes)

Revision 1.8  2001/02/16 07:32:10  kloczek
- release 6: rebuild against mysql 3.23.

Revision 1.7  2000/10/18 19:08:10  kloczek
- release 5,
- use new rpm automnation,
- fixed path to registered config file for module in httpd.conf (thanks
  Agnieszka).

Revision 1.6  2000/08/09 18:19:53  kloczek
- release 4.

Revision 1.5  2000/06/16 08:02:25  yaro
- small fix

Revision 1.4  2000/05/17 21:01:20  kloczek
- spec adapterized.

* Wed Dec  22 1999 Jaroslaw Dziubek <yaro@perfect.net.pl>
- First release of mod_log_mysql.spec
